Subject: Re: Efficiency of caller/toss

From: Sergey Matveev <[email-masked]>
Date: Wed, 18 Aug 2021 22:29:57 +0300

Tomorrow I will answer more.

*** John Goerzen [2021-08-18 14:20]:
>I would assume that the creation and deletion of the lock file would add
>things to logs on various filesystems, which must be committed, but I could
>be wrong about that.

Creation and deletion are wearout operations of course, but NNCP does
not delete .lock files. They are created only once and then only
open+lock syscalls are involved (src/lockdir.go).

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF